[Stable Update] 2023-03-31 - Kernels, Plasma 5.27 LTS, Pamac, Phosh, Mesa, LibreOffice

My Creative Soundblaster AE-5 (soundcard) no longer working after changing the output device in the KDE Sound Control, i think its called pavu control.

My soundcard was working, till the moment i played with the pavu sound manager.

The creative card is no longer listed there, but still can be accesses with alsamixer, still no sound at all.

Just wondering if it will be better when changes that could impact booting your system or similar, if there should be a more “official” wiki entry explaining how you might solve and update your configuration to avoid the booting issues. It will also increase the community knowledge :slight_smile:

The current approach where everyone posts their solution (for their setup) and having the information spread across threads make it even more confusing, and potentially dangerous if you don’t know well what you are doing.

2 Likes

one simple thing would be to make the CLI password input environmental flag default. Currently i suspect less than 1% of users know about it and suffer cli->gui->cli workflow.

I did the update yesterday and lutris didnt work anymore. I had 2 games, where it said once “D3D rendering failed”, the second said “need a GPU what supports (…)11”

I had to completly remove nvidia-470 470.182.03-1 and switch to nvidia-470 530.41.03-1
The update also removed my nvidia-settings without any other replacement.
Now it seems it works normal as before.

Kernel 6.1 GPU Nvidia GTX 960

you have to add nvidia-settings

After the update, my trackpoint freaked out. Moving towards the top right worked fine, any slight movement in other directions lead to erratic jumping.

Rebooting the computer another time fixed it. (I had already rebooted to apply changes.)

KDE Plasma version and Lenovo E470, in case anyone wants to check if they have the same issue.

After last upgrade I had a black desktop screen problem. I followed these instructions (prime driver not working for my dual gpu laptop) than it worked.
But on reboot I got the message “error: no such cryptodisk found. Perhaps a needed disk or cryptodisk is not loaded”
I enabled GRUB_ENABLE_CRYPTODISK=y in /etc/default/grub, did sudo update-grub and rebooted. But than the black desktop screen came back again. I have set it back again for now.

Regarding your other suggestions: /boot/grub/grub.cfg “…try to remove the dash separators”, does it mean the UUID has to be written like this instead (in your example): ’ 3722dfb23b32414bbd59-4329fa92b6a9??

What can be done to keep away the black desktop screen (including the KDE Plasma ssdm still does not appear in color anymore) and getting rid of the error message on booting as well.

I do have one luks ssd for root and another separated luks hard disk for my data. For the second luks hard disk I have to enter always the password on boot as well.

After the update, most everything I use seemed to work, except OBS. Since I rely on OBS for work and streaming several times a week, I had to use Timeshift to revert my system. OBS is working again but I’d really like to keep my system updated. So, my question is…

This may be a noob question but is there a procedure (or guide) we could use to check the dependencies for a specific app, and then choose not to upgrade things that will cause the app not to work?

I know I can do this:

$ pacman -Qi obs-studio-git
Name            : obs-studio-git
Version         : 28.1.0.beta1-2
Description     : Free and open source software for video recording and live streaming.
Architecture    : x86_64
URL             : https://github.com/obsproject/obs-studio
Licenses        : GPL2
Groups          : None
Provides        : obs-studio=28.1.0.beta1
Depends On      : ffmpeg  jansson  libxinerama  libxkbcommon-x11  mbedtls  qt6-svg  curl  jack  gtk-update-icon-cache
                  speexdsp  pciutils  libajantv2  librist
Optional Deps   : libfdk-aac: FDK AAC codec support [installed]
                  libxcomposite: XComposite capture support [installed]
                  libva-intel-driver: hardware encoding [installed]
                  libva-mesa-driver: hardware encoding [installed]
                  vlc: VLC Media Source [installed]
                  luajit: Lua scripting [installed]
                  python: Python scripting [installed]
                  v4l2loopback-dkms: Virtual webcam [installed]
                  pipewire: Pipewire capture [installed]
                  pipewire-media-session: Pipewire capture [installed]
                  xdg-desktop-portal: Pipewire capture [installed]

and get a list of dependencies, but most of those dependencies don’t appear in my Pamac list of updates. So, is there an easy way to tell what is causing OBS (or any app) to fail? And then, is there a way to revert ONLY the necessary things to make that app work again?

thanks

It’s always worth trying to run it from a terminal; you may well get some useful messages that way. Check if there are any command-line flags to the program to enable extra diagnostics/verbosity. It’s also often useful to have another terminal watching the systemd journal as relevant messages can appear there as well

2 Likes

Ksysguard seems broken since the update:

When I click the icon in the GUI it doesn’t start. In terminal I get this

ksysguard: error while loading shared libraries: libhwy.so.0: cannot open shared object file: No such file or directory

This is actually causing a lot of apps to fail. OBS for example

Edit: User Olli sent me a message explaining me libjxl was missing. After installing this ( it replaced libjxl-git ) everyhting works normal.

After upgrade I got a black screen with blinking cursor. When logged in via the terminal and did a startx and got a "fatal server error (ee) no screens found (ee). I looked in the xorg log and that said “failed to initialize the nvidia kernel module”.

after installation or after update ? your statement is vague. please open a thread for this issue and provide clear infos.

@barcode1234
Hi,
try this:
https://bbs.archlinux.org/viewtopic.php?id=223581

https://bbs.archlinux.org/viewtopic.php?id=175253

Regarding the LUIKS issue the update to cryptsetup might also affect as it expects a newer systemd which we don’t have pushed to stable nor testing yet. Will rerelease an older revision of cryptsetup to match our shipped systemd versions.

So I understood you like ZSH - okay, fine! I understood that you select it as default shell - also fine!
I don’t like it, changed back to bash - also fine!

What is nit fine is that the last update of Manjaro Settings changed my bash (within Konsole) to zsh - why? Could you please stop, thanks?

2 Likes

I created the xorg.conf and xinitrc as described. Still had the same errors after reboot.

I updated to latest stable and wanted to try the Plasma on Wayland. So I installed the plasma-wayland-session package but when I try to log in, I am returned to the login window. This is the error I see in journalctl:

Apr 05 08:48:56 thwright systemd[1455]: Failed to start Splash screen shown during boot.
Apr 05 08:48:56 thwright kwalletd5[1469]: Failed to create wl_display (No such file or directory)
Apr 05 08:48:56 thwright kded5[1575]: Failed to create wl_display (No such file or directory)
Apr 05 08:48:56 thwright ksmserver[1572]: org.kde.kf5.ksmserver: Cannot connect to the X server
Apr 05 08:48:56 thwright ksmserver[1572]: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
                                          
                                          Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
Apr 05 08:48:56 thwright kded5[1575]: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
                                      
                                      Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
Apr 05 08:48:56 thwright kwalletd5[1469]: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
                                          
                                          Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
Apr 05 08:48:56 thwright systemd-coredump[1603]: [🡕] Process 1575 (kded5) of user 1000 dumped core.
                                                 
                                                 Stack trace of thread 1575:
                                                 #0  0x00007f7626ca08ec n/a (libc.so.6 + 0x878ec)
                                                 #1  0x00007f7626c51ea8 raise (libc.so.6 + 0x38ea8)
                                                 #2  0x00007f7626c3b53d abort (libc.so.6 + 0x2253d)
                                                 #3  0x00007f762729fede _ZNK14QMessageLogger5fatalEPKcz (libQt5Core.so.5 + 0x9fede)
                                                 #4  0x00007f762793c9c5 _ZN22QGuiApplicationPrivate25createPlatformIntegrationEv (libQt5Gui.so.5 + 0x13c9c5)
                                                 #5  0x00007f762793d009 _ZN22QGuiApplicationPrivate21createEventDispatcherEv (libQt5Gui.so.5 + 0x13d009)
                                                 #6  0x00007f762749357b _ZN23QCoreApplicationPrivate4initEv (libQt5Core.so.5 + 0x29357b)
                                                 #7  0x00007f762793d0b9 _ZN22QGuiApplicationPrivate4initEv (libQt5Gui.so.5 + 0x13d0b9)
                                                 #8  0x00007f7628175e0e _ZN19QApplicationPrivate4initEv (libQt5Widgets.so.5 + 0x175e0e)
                                                 #9  0x00005626bd15bc86 n/a (kded5 + 0x6c86)
                                                 #10 0x00007f7626c3c790 n/a (libc.so.6 + 0x23790)
                                                 #11 0x00007f7626c3c84a __libc_start_main (libc.so.6 + 0x2384a)
                                                 #12 0x00005626bd15c0c5 n/a (kded5 + 0x70c5)
                                                 ELF object binary architecture: AMD x86-64
Apr 05 08:48:56 thwright systemd-coredump[1602]: [🡕] Process 1469 (kwalletd5) of user 1000 dumped core.
                                                 
                                                 Stack trace of thread 1469:
                                                 #0  0x00007f522b8a08ec n/a (libc.so.6 + 0x878ec)
                                                 #1  0x00007f522b851ea8 raise (libc.so.6 + 0x38ea8)
                                                 #2  0x00007f522b83b53d abort (libc.so.6 + 0x2253d)
                                                 #3  0x00007f522be9fede _ZNK14QMessageLogger5fatalEPKcz (libQt5Core.so.5 + 0x9fede)

I am assuming the coredumps are the result of the earlier failure to log in. Looking through the forums, I don’t see a need to install any other software for Plasma Wayland besides the session package (though I did try plasma-wayland-protocols just for good measure).

Is there anything else I can do? Is there other information needed?

It looks like libva-mesa-driver is broken with the latest update.
Before the update it looked like this

❯ pacman -Q libva-mesa-driver
libva-mesa-driver 23.0.1-1
❯ vainfo
Trying display: wayland
Trying display: x11
vainfo: VA-API version: 1.17 (libva 2.17.1)
vainfo: Driver version: Mesa Gallium driver 23.0.1 for AMD Radeon RX 5700 XT (navi10, LLVM 15.0.7, DRM 3.52, 6.3.0-1-MANJARO)
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileJPEGBaseline           :	VAEntrypointVLD
      VAProfileVP9Profile0            :	VAEntrypointVLD
      VAProfileVP9Profile2            :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc

It looks like libva-mesa-driver is broken with the latest update.
Before the update it looked like this

But after the update, the following problems are occurring

❯ pacman -Q libva-mesa-driver
libva-mesa-driver 23.0.1-2
❯ vainfo
Trying display: wayland
Trying display: x11
libva error: /usr/lib/dri/radeonsi_drv_video.so has no function __vaDriverInit_1_0
vaInitialize failed with error code -1 (unknown libva error),exit

This problem occurs on RX5700XT, RX7900XTX, and Ryzen7 5700U APUs as well.

I rebuilt mesa at hand and the problem was resolved as follows

❯ pacman -Q libva-mesa-driver
libva-mesa-driver 23.0.1-2
❯ vainfo
Trying display: wayland
Trying display: x11
vainfo: VA-API version: 1.17 (libva 2.17.1)
vainfo: Driver version: Mesa Gallium driver 23.0.1 for AMD Radeon RX 5700 XT (navi10, LLVM 15.0.7, DRM 3.52, 6.3.0-1-MANJARO)
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileJPEGBaseline           :	VAEntrypointVLD
      VAProfileVP9Profile0            :	VAEntrypointVLD
      VAProfileVP9Profile2            :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc
1 Like

23.0.1-2.0 should fix the issue.

As reported, the problem did not occur as of 23.0.1-1. This issue occurred at 23.0.1-2.